servant-auth-server: servant-server/servant-auth compatibility

[ authentication, bsd3, library, servant, web ] [ Propose Tags ]

This package provides the required instances for using the Auth combinator in your servant server.

Both cookie- and token- (REST API) based authentication is provided.

For a quick overview of the usage, see the README.

Modules

[Last Documentation]

  • Servant
    • Auth
      • Servant.Auth.Server
        • Servant.Auth.Server.Internal
          • Servant.Auth.Server.Internal.AddSetCookie
          • Servant.Auth.Server.Internal.BasicAuth
          • Servant.Auth.Server.Internal.Class
          • Servant.Auth.Server.Internal.ConfigTypes
          • Servant.Auth.Server.Internal.Cookie
          • Servant.Auth.Server.Internal.FormLogin
          • Servant.Auth.Server.Internal.JWT
          • Servant.Auth.Server.Internal.ThrowAll
          • Servant.Auth.Server.Internal.Types
        • Servant.Auth.Server.SetCookieOrphan

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Versions [RSS] 0.1.0.0, 0.1.0.1, 0.2.0.0, 0.2.1.0, 0.2.2.0, 0.2.3.0, 0.2.4.0, 0.2.6.0, 0.2.6.1, 0.2.7.0, 0.2.8.0, 0.3.0.0, 0.3.1.0, 0.3.2.0, 0.4.0.0, 0.4.0.1, 0.4.0.2, 0.4.1.0, 0.4.2.0, 0.4.3.0, 0.4.4.0, 0.4.5.0, 0.4.5.1, 0.4.6.0, 0.4.7.0, 0.4.8.0 (info)
Dependencies aeson (>=0.11 && <2), base (>=4.8 && <4.11), base64-bytestring (>=1 && <2), blaze-builder (>=0.4 && <0.5), bytestring (>=0.10 && <0.11), bytestring-conversion (>=0.3 && <0.4), case-insensitive (>=1.2 && <1.3), cookie (>=0.4 && <0.4.4), crypto-api (>=0.13 && <0.14), data-default-class (>=0.0 && <0.2), entropy (>=0.3 && <0.4), http-api-data (>=0.3 && <0.4), http-types (>=0.9 && <0.11), jose (>=0.5 && <0.6), lens (>=4 && <5), markdown-unlit, monad-time (>=0.2 && <0.3), mtl (>=2.2 && <2.3), servant-auth (>=0.2 && <0.4), servant-auth-server, servant-server (>=0.9.1 && <0.12), tagged (>=0.7.3 && <0.9), text (>=1 && <2), time (>=1.5 && <1.9), transformers, unordered-containers (>=0.2 && <0.3), wai (>=3.2 && <3.3), warp [details]
License BSD-3-Clause
Copyright (c) Julian K. Arni
Author Julian K. Arni
Maintainer jkarni@gmail.com
Revised Revision 2 made by phadej at 2017-11-07T12:01:18Z
Category Web, Servant, Authentication
Home page http://github.com/plow-technologies/servant-auth#readme
Bug tracker https://github.com/plow-technologies/servant-auth/issues
Source repo head: git clone https://github.com/plow-technologies/servant-auth
Uploaded by mchaver at 2017-06-05T04:50:58Z
Distributions NixOS:0.4.7.0, Stackage:0.4.8.0
Reverse Dependencies 4 direct, 1 indirect [details]
Executables readme
Downloads 16550 total (60 in the last 30 days)
Rating (no votes yet) [estimated by Bayesian average]
Your Rating
  • λ
  • λ
  • λ
Status Docs not available [build log]
All reported builds failed as of 2017-06-05 [all 3 reports]